#ifndef SETTINGS_H
#define SETTINGS_H

#include <map>
#include <string>
#include <fstream>
#include <sstream>

namespace Q
{
    typedef std::map<std::string,std::string> SettingsContainer;
    typedef SettingsContainer::value_type SettingsElement;

    class Settings 
    // throws const char* on error
    {
	public:
	    Settings(const char* =NULL); // with filename
	    ~Settings();
            std::string& operator[](const std::string&) const;
	    int count(const std::string&) const;
	    bool read();
	private:
	    bool readsuccess;
	    std::string *filename;
	    SettingsContainer *container;
	    std::string trim(std::string);
    };
}

#endif
